| Home | Libraries | People | FAQ | More

## Struct template portable_rebind_alloc

allocator_traits::portable_rebind_alloc

## Synopsis

    // In header: <boost/container/allocator_traits.hpp>

    template<typename T>
    struct portable_rebind_alloc {
      // types
      typedef see_documentation type;
    };

## Description

Non-standard extension: Portable allocator rebind for C++03 and C++11 compilers. `type` is an allocator related to Alloc deduced deduced by rules explained in `rebind_alloc`.